import React, {useEffect} from "react"
import useAsync from '@hooks/useAsync'
import getVersionList from "@lib/utils/getVersionList";

export default ({ version, setVersion, gitlabId }) => {

  const {execute, status, error, value: versions} = useAsync(getVersionList, {
    projectId: gitlabId,
    includePrerelease: false
  }, false)

  useEffect(() => {
    execute()
  }, [])

  useEffect(async () => {
    if (status === 'success') {
      console.log('vvvvvv', versions)
    }
  }, [status])

  return <div>
    Andere Version anzeigen: <select
      value={version}
      onChange={e => setVersion(e.target.value)}>
      {versions && versions.map ? versions.map((v, i) => (
        <option value={v} key={i}>
          {v}
        </option>
      )) : ''}
    </select>
  </div>
}
